# MachineLearningExperimentation
    
> see https://aka.ms/autorest

This is the AutoRest configuration file for Machine Learning Experimentation.



---
## Getting Started 
To build the SDK for EventHub, simply [Install AutoRest](https://aka.ms/autorest/install) and in this folder, run:

> `autorest`

To see additional help and options, run:

> `autorest --help`
---

## Configuration



### Basic Information 
These are the global settings for the Machine Learning Experimentation API.

``` yaml
openapi-type: arm
tag: package-2017-05-preview
```


### Tag: package-2017-05-preview

These settings apply only when `--tag=package-2017-05-preview` is specified on the command line.

``` yaml $(tag) == 'package-2017-05-preview'
input-file:
- Microsoft.MachineLearningExperimentation/preview/2017-05-01-preview/machineLearningExperimentation.json
```

---
# Code Generation


## Swagger to SDK

This section describes what SDK should be generated by the automatic system.
This is not used by Autorest itself.

``` yaml $(swagger-to-sdk)
swagger-to-sdk:
  - repo: azure-sdk-for-go
```


## C# 

These settings apply only when `--csharp` is specified on the command line.
Please also specify `--csharp-sdks-folder=<path to "SDKs" directory of your azure-sdk-for-net clone>`.

``` yaml $(csharp)
csharp:
  azure-arm: true
  license-header: MICROSOFT_MIT_NO_VERSION
  namespace: Microsoft.Azure.Management.MachineLearningExperimentation
  output-folder: $(csharp-sdks-folder)/MachineLearningExperimentation/Management.MachineLearningExperimentation/Generated
  clear-output-folder: true
```
## Go

These settings apply only when `--go` is specified on the command line.

``` yaml $(go)
go:
  license-header: MICROSOFT_APACHE_NO_VERSION
  clear-output-folder: true
  namespace: experimentation
```

### Go multi-api

``` yaml $(go) && $(multiapi)
batch:
  - tag: package-2017-05-preview
```

### Tag: package-2017-05-preview and go

These settings apply only when `--tag=package-2017-05-preview --go` is specified on the command line.
Please also specify `--go-sdk-folder=<path to the root directory of your azure-sdk-for-go clone>`.

``` yaml $(tag)=='package-2017-05-preview' && $(go)
output-folder: $(go-sdk-folder)/services/preview/machinelearning/mgmt/2017-05-01-preview/experimentation
```


## Java

These settings apply only when `--java` is specified on the command line.
Please also specify `--azure-libraries-for-java-folder=<path to the root directory of your azure-libraries-for-java clone>`.

``` yaml $(java)
azure-arm: true
fluent: true
namespace: com.microsoft.azure.management.machinelearning.experimentation
license-header: MICROSOFT_MIT_NO_CODEGEN
payload-flattening-threshold: 1
output-folder: $(azure-libraries-for-java-folder)/azure-mgmt-machinelearning/experimentation
```

### Java multi-api

``` yaml $(java) && $(multiapi)
batch:
  - tag: package-2017-05-preview
```

### Tag: package-2017-05-preview and java

These settings apply only when `--tag=package-2017-05-preview --java` is specified on the command line.
Please also specify `--azure-libraries-for-java=<path to the root directory of your azure-sdk-for-java clone>`.

``` yaml $(tag) == 'package-2017-05-preview' && $(java) && $(multiapi)
java:
  namespace: com.microsoft.azure.management.machinelearningexperimentation.v2017_05_01_preview
  output-folder: $(azure-libraries-for-java-folder)/machinelearningexperimentation/resource-manager/v2017_05_01_preview
regenerate-manager: true
generate-interface: true
```


